# $Revision: 1.13 $, $Date: 2010/05/02 17:30:17 $
#
# Conditional build:
%bcond_with	legacy	# enable the insecure legacy code (no avahi
			# dependency then)
%bcond_without	avahi	# disable avahi support
#
Summary:	mDNS Service Switch Module
Summary(pl.UTF-8):	Moduł NSS mDNS
Name:		nss_mdns
Version:	0.10
Release:	2
License:	LGPL v2.1
Group:		Base
Source0:	http://0pointer.de/lennart/projects/nss-mdns/nss-mdns-%{version}.tar.gz
# Source0-md5:	03938f17646efbb50aa70ba5f99f51d7
URL:		http://0pointer.de/lennart/projects/nss-mdns/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
Requires(post):	/etc/nsswitch.conf
Requires(post): grep
Requires(post): sed
Requires(postun): sed
%{!?with_legacy:Requires:	avahi}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		/%{_lib}

%description
nss-mdns is a plugin for the GNU Name Service Switch (NSS)
functionality of the GNU C Library (glibc) providing host name
resolution via Multicast DNS (aka Zeroconf, aka Apple Rendezvous),
effectively allowing name resolution by common Unix/Linux programs in
the ad-hoc mDNS domain .local.

%description -l pl.UTF-8
nss-mdns to wtyczka dla funkcjonalności NSS (Name Service Switch) w
glibc dająca możliwość rozwiązywania nazw poprzez Multicast DNS (znany
także jako Zeroconf lub Apple Rendezvous), efektywnie umożliwiająca
rozwiązywanie nazw przez popularne programy uniksowe/linuksowe w
doraźnej domenie mDNS .local.

%prep
%setup -q -n nss-mdns-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--%{?with_legacy:en}%{!?with_legacy:dis}able-legacy \
	--%{?with_avahi:en}%{!?with_avahi:dis}able-avahi
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%post
if ! grep -q '^hosts:.*mdns' /etc/nsswitch.conf ; then
	%banner %{name} <<-EOF
	Adding Multicast-DNS resolver to /etc/nsswitch.conf
EOF
	sed -i -e's/^\(hosts:.*\)dns\(.*\)/\1mdns4_minimal [NOTFOUND=return] dns mdns4\2/' /etc/nsswitch.conf
fi

%postun
if [ "$1" = "0" ]; then
	sed -i -r -e's/mdns4(_minimal)?( \[NOTFOUND=return\])?( |$)//g' /etc/nsswitch.conf || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README doc/{README.html,style.css}
%attr(755,root,root) %{_libdir}/libnss_mdns*.so.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nss_mdns.spec,v $
Revision 1.13  2010/05/02 17:30:17  jajcus
- undo changes made by %post in %postun

Revision 1.12  2010/05/02 17:15:42  jajcus
- do not build the insecure legacy (no-avahi) code by default
- avahi bcond also added
- add nss_mdns to /etc/resolv.conf in %post
- Release: 2

Revision 1.11  2007/12/28 15:18:56  zbyniu
- up to 0.10

Revision 1.10  2007-02-13 07:16:49  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:13  baggins
- converted to UTF-8

Revision 1.8  2007/01/15 16:32:12  deejay1
- up to 0.9

Revision 1.7  2006/05/25 07:14:21  blaass
- updated to 0.8

Revision 1.6  2006/03/12 20:05:16  qboosh
- updated to 0.7

Revision 1.5  2005/08/22 05:18:44  aredridel
- up to 0.6

Revision 1.4  2005/02/04 18:54:12  matowy
- up to 0.3, added URL

Revision 1.3  2004/12/20 19:54:52  qboosh
- pl desc

Revision 1.2  2004/12/17 06:10:30  aredridel
- cleanup

Revision 1.1  2004/12/17 05:53:06  aredridel
- added
